﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using System.Windows;
using System.Windows.Data;
using System.Windows.Controls;

namespace RadScheduleViewOrientation
{
	public class CustomGroupHeaderContentTemplateSelector : ScheduleViewDataTemplateSelector
	{
		public DataTemplate HorizontalTemplate { set; get; }
		public DataTemplate VerticalTemplate { set; get; }
		public DataTemplate HorizontalResourceTemplate { set; get; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container, ViewDefinitionBase activeViewDeifinition)
		{
			CollectionViewGroup cvg = item as CollectionViewGroup;
			if (cvg != null && cvg.Name is IResource)
			{
				return this.HorizontalResourceTemplate;
			}

			if (cvg != null && cvg.Name is DateTime)
			{
				if (activeViewDeifinition.GetOrientation() == Orientation.Vertical)
				{
					return this.HorizontalTemplate;
				}
				else
				{
					return this.VerticalTemplate;
				}
			}


			return base.SelectTemplate(item, container, activeViewDeifinition);
		}
	}
}
